Welcome to Centmin Mod Community
Register Now

Updating ImageMagick

Discussion in 'Install & Upgrades or Pre-Install Questions' started by GASTAN, Aug 23, 2018.

  1. GASTAN

    GASTAN New Member

    24
    3
    3
    Jun 28, 2017
    Ratings:
    +5
    Local Time:
    12:01 PM
    Hi

    when exiting Centmin I get notice about updates:
    Code:
    Following Updates are available:
    -------------------------------------------------------------
    ImageMagick6.i686                       6.9.10.10-1.el6.remi             remi
    ImageMagick6-c++.i686                   6.9.10.10-1.el6.remi             remi
    ImageMagick6-c++-devel.i686             6.9.10.10-1.el6.remi             remi
    ImageMagick6-devel.i686                 6.9.10.10-1.el6.remi             remi
    ImageMagick6-libs.i686                  6.9.10.10-1.el6.remi             remi
    kernel.i686                             2.6.32-754.3.5.el6               updates
    kernel-devel.i686                       2.6.32-754.3.5.el6               updates
    kernel-firmware.noarch                  2.6.32-754.3.5.el6               updates
    kernel-headers.i686                     2.6.32-754.3.5.el6               updates
    
    -------------------------------------------------------------
      To update type these commands:
    -------------------------------------------------------------
      run centmin.sh menu option 15 to update imagick PHP ext then run:
    
      yum update --disableplugin=priorities --enablerepo=remi
    
    suggesting to update imagick via option 15, this also installs IM repos
    but there are repos, that could be updated via yum.
    do I still need to update IM via 15 and then kernel via yum, or is just one yum for both sufficient?
    In other words, is #15 really necessary of would yum suffice?
    Cause I have a feeling option #15 just yum installs IM from repo...
    Ok, and maybe then recompiles something ?



    • CentOS Version: CentOS 6.10 32bit
      Centmin Mod Version Installed: 123.09beta01
      Nginx Version Installed: 1.15.2
      PHP Version Installed: 5.6.37
      MariaDB MySQL Version Installed: 10.0.36
      When was last time updated Centmin Mod code base ? : 5min ago


     
  2. wmtech

    wmtech Member

    67
    17
    8
    Jul 22, 2017
    Ratings:
    +41
    Local Time:
    12:01 PM
    You need to run option #15 because that compiles the PHP extension. yum alone is not sufficient.
     
  3. eva2000

    eva2000 Administrator Staff Member

    36,054
    7,910
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +12,192
    Local Time:
    8:01 PM
    Nginx 1.15.x
    MariaDB 5.5/10.x
    Yup run centmin.sh menu option 15 will take care of imagick PHP extension + imagemagick yum packages at same time. Then for other yum updates, yum -y update :)
     
..